Skip to main content
GET
/
api
/
chats
/
{id}
/
segment
cURL
curl --request GET \
  --url https://recoup-api.vercel.app/api/chats/{id}/segment \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "segment_exists": true
}

Authorizations

x-api-key
string
header
required

Your Recoup API key. Learn more.

Path Parameters

id
string<uuid>
required

The unique identifier (UUID) of the chat room.

Response

Chat segment resolved successfully

status
enum<string>
required

Status of the request

Available options:
success
room_id
string<uuid>
required

UUID of the chat room

segment_id
string<uuid> | null
required

UUID of the segment associated with the chat, or null when no segment is linked

segment_exists
boolean
required

Whether a segment is linked to the chat room